import {
    getFavoritesList
} from "~/api/user"
import behavior from '~/mixins/video'
Page({
    behaviors: [behavior],
    /**
     * 页面的初始数据
     */
    data: {
        list: [],
        pageNo: 1,
        totalSize: 0,

    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.getFavoritesList()
    },
    async getFavoritesList() {
        let {
            list,
            totalSize
        } = await getFavoritesList({
            pageNo: this.data.pageNo,
            pageSize: 20
        })
        list = [...this.data.list, ...list]
        this.setData({
            list,
            totalSize
        })
    },
    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {
        if (this.data.totalSize > this.data.list.length) {
            this.setData({
                pageNo: this.data.pageNo + 1
            })
            this.getFansList()
        }
    },
    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})