let baseUrl = 'https://reader-api.ai160.com/wx'
let oldUrl = 'https://reader-api.ai160.com'


function request(url, method, data, oldBaseUrl = false) {
  let header = {
    'uid': wx.getStorageSync('uid') || ''
  }

  return new Promise((reslove, reject) => {
    wx.request({
      url: oldBaseUrl ? oldUrl + url : baseUrl + url,
      method: method,
      data: data,
      header: header,
      success: (result) => {
        let {
          data: {
            code,
            data = {},
            message
          }
        } = result
        if (code == '200') {
          reslove(data)
        } else if (code == '1102' || code == '1204') {
          wx.clearStorage()
        } else {
          console.log(message);
          // reject(message)
        }
      },
      fail: (res) => {
        console.error(res)
        reject(res)
      },
    })
  })
}
module.exports = {
  request,
}